# QDateTimeEdit Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSpinBox.

### Constructor

- void QDateTimeEdit(QWidget parent)
- void QDateTimeEdit(QDate d, QWidget parent)
- void QDateTimeEdit(QDateTime dt, QWidget parent)
- void QDateTimeEdit(QTime t, QWidget parent)

### Constructor Properties

- prototype: The QDateTimeEdit prototype object
- NoSection = 0x0000
- AmPmSection = 0x0001
- MSecSection = 0x0002
- SecondSection = 0x0004
- MinuteSection = 0x0008
- HourSection = 0x0010
- TimeSections_Mask = AmPmSection|MSecSection|SecondSection|MinuteSection|HourSection
- DaySection = 0x0100
- MonthSection = 0x0200
- YearSection = 0x0400
- DateSections_Mask = DaySection|MonthSection|YearSection
- Section( value )
- Sections( value1, value2, ... )

### Prototype Object Properties

The QDateTimeEdit prototype object inherits properties from the QAbstractSpinBox prototype object and also has the following properties.

- QCalendarWidget calendarWidget()
- void clearMaximumDate()
- void clearMaximumDateTime()
- void clearMaximumTime()
- void clearMinimumDate()
- void clearMinimumDateTime()
- void clearMinimumTime()
- Section sectionAt(int index)
- String sectionText(Section section)
- void setCalendarWidget(QCalendarWidget calendarWidget)
- void setDateRange(QDate min, QDate max)
- void setDateTimeRange(QDateTime min, QDateTime max)
- void setSelectedSection(Section section)
- void setTimeRange(QTime min, QTime max)

### Instance Properties

QDateTimeEdit objects inherit properties from the QDateTimeEdit prototype object and also have the following properties.

- dateTime
- date
- time
- maximumDateTime
- minimumDateTime
- maximumDate
- minimumDate
- maximumTime
- minimumTime
- currentSection
- displayedSections
- displayFormat
- calendarPopup
- currentSectionIndex
- sectionCount
- timeSpec